package com.ruoyi.kaohe.domain;

import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;

/**
 * 选项评分
 */
public class KhXxpf {
    private static final long serialVersionUID = 1L;

    /** 优秀 */
    @Excel(name = "优秀")
    private BigDecimal optionA;

    /** 合格 */
    @Excel(name = "合格")
    private BigDecimal optionB;

    /** 基本合格 */
    @Excel(name = "基本合格")
    private BigDecimal optionC;

    /** 不合格 */
    @Excel(name = "不合格")
    private BigDecimal optionD;

    /** 最终分数 */
    @Excel(name = "得分")
    private BigDecimal avgScore;

    /** 评分占比(0-1之间) */
    @Excel(name = "评分占比(0-1之间)")
    private BigDecimal percentage;

    public BigDecimal getOptionA() {
        return optionA;
    }

    public void setOptionA(BigDecimal optionA) {
        this.optionA = optionA;
    }

    public BigDecimal getOptionB() {
        return optionB;
    }

    public void setOptionB(BigDecimal optionB) {
        this.optionB = optionB;
    }

    public BigDecimal getOptionC() {
        return optionC;
    }

    public void setOptionC(BigDecimal optionC) {
        this.optionC = optionC;
    }

    public BigDecimal getOptionD() {
        return optionD;
    }

    public void setOptionD(BigDecimal optionD) {
        this.optionD = optionD;
    }

    public BigDecimal getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(BigDecimal avgScore) {
        this.avgScore = avgScore;
    }

    public BigDecimal getPercentage() {
        return percentage;
    }

    public void setPercentage(BigDecimal percentage) {
        this.percentage = percentage;
    }
}
